Commit 412c2225 authored by Tim-Philipp Müller's avatar Tim-Philipp Müller Committed by Emmanuele Bassi
Browse files

meson: move colord checks into cups printbackend

Which is the only user of it. Also add option to enable/disable.
parent d38db4dc
......@@ -196,11 +196,11 @@ pixbuf_dep = dependency('gdk-pixbuf-2.0', version: gdk_pixbuf_req)
epoxy_dep = dependency('epoxy', version: epoxy_req)
atk_dep = dependency('atk', version: atk_req)
gmodule_dep = dependency('gmodule-2.0', version: glib_req)
colord_dep = dependency('colord', version: '>= 0.1.9', required: false)
harfbuzz_dep = dependency('harfbuzz', version: '>= 0.9', required: false)
xkbdep = dependency('xkbcommon', version: '>= 0.2.0')
graphene_dep = dependency('graphene-1.0', version: graphene_req,
fallback : ['graphene', 'graphene_dep'])
fontconfig_dep = [] # only used in x11 backend
atkbridge_dep = [] # only used in x11 backend
......@@ -332,7 +332,6 @@ endif
mlib = cc.find_library('m', required: false)
cdata.set('HAVE_GIO_UNIX', giounix_dep.found())
cdata.set('HAVE_COLORD', colord_dep.found())
# Check for Vulkan support
# TODO: move to gsk subfolder maybe? Or will it be used elsewhere too?
......
option('enable-colord', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
description : 'Build colord support code')
option('enable-x11-backend', type: 'boolean', value: 'true',
description : 'Enable the X11 gdk backend')
option('enable-wayland-backend', type: 'boolean', value: 'true',
......
enable_colord = get_option('enable-colord')
if enable_colord != 'no'
want_colord = enable_colord == 'yes'
colord_dep = dependency('colord', version: '>= 0.1.9', required: want_colord)
cdata.set('HAVE_COLORD', colord_dep.found())
else
colord_dep = []
endif
shared_module('printbackend-cups',
'gtkprintbackendcups.c',
'gtkprintercups.c',
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment